### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints
  commentId: T:OmiLAXR.Adapters.SteamVR.ControllerHints
  id: ControllerHints
  parent: OmiLAXR.Adapters.SteamVR
  children:
  - OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
  - OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIAction
  - OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIHintText
  - OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(System.String,System.String)
  - OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(Valve.VR.SteamVR_Action_Boolean,System.String)
  - OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
  - OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
  - OmiLAXR.Adapters.SteamVR.ControllerHints.teleportAction
  - OmiLAXR.Adapters.SteamVR.ControllerHints.teleportHintText
  langs:
  - csharp
  - vb
  name: ControllerHints
  nameWithType: ControllerHints
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints
  type: Class
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: ControllerHints
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 7
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: 'public class ControllerHints : MonoBehaviour'
    content.vb: Public Class ControllerHints Inherits MonoBehaviour
  inheritance:
  - System.Object
  - UnityEngine.Object
  - UnityEngine.Component
  - UnityEngine.Behaviour
  - UnityEngine.MonoBehaviour
  extensionMethods:
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.Object[])
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Log(System.String,System.String)
  - UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.teleportHintText
  commentId: F:OmiLAXR.Adapters.SteamVR.ControllerHints.teleportHintText
  id: teleportHintText
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: teleportHintText
  nameWithType: ControllerHints.teleportHintText
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.teleportHintText
  type: Field
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: teleportHintText
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 9
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public string teleportHintText
    return:
      type: System.String
    content.vb: Public teleportHintText As String
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIHintText
  commentId: F:OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIHintText
  id: interactUIHintText
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: interactUIHintText
  nameWithType: ControllerHints.interactUIHintText
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIHintText
  type: Field
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: interactUIHintText
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 10
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public string interactUIHintText
    return:
      type: System.String
    content.vb: Public interactUIHintText As String
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.teleportAction
  commentId: F:OmiLAXR.Adapters.SteamVR.ControllerHints.teleportAction
  id: teleportAction
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: teleportAction
  nameWithType: ControllerHints.teleportAction
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.teleportAction
  type: Field
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: teleportAction
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 12
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public SteamVR_Action_Boolean teleportAction
    return:
      type: Valve.VR.SteamVR_Action_Boolean
    content.vb: Public teleportAction As SteamVR_Action_Boolean
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIAction
  commentId: F:OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIAction
  id: interactUIAction
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: interactUIAction
  nameWithType: ControllerHints.interactUIAction
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.interactUIAction
  type: Field
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: interactUIAction
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 13
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public SteamVR_Action_Boolean interactUIAction
    return:
      type: Valve.VR.SteamVR_Action_Boolean
    content.vb: Public interactUIAction As SteamVR_Action_Boolean
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
  commentId: M:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
  id: ShowControllerTriggerHint
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: ShowControllerTriggerHint()
  nameWithType: ControllerHints.ShowControllerTriggerHint()
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint()
  type: Method
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: ShowControllerTriggerHint
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 14
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public void ShowControllerTriggerHint()
    content.vb: Public Sub ShowControllerTriggerHint()
  overload: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint*
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
  commentId: M:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
  id: ShowControllerTeleportHint
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: ShowControllerTeleportHint()
  nameWithType: ControllerHints.ShowControllerTeleportHint()
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint()
  type: Method
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: ShowControllerTeleportHint
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 15
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public void ShowControllerTeleportHint()
    content.vb: Public Sub ShowControllerTeleportHint()
  overload: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint*
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
  commentId: M:OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
  id: HideAllControllerHints
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: HideAllControllerHints()
  nameWithType: ControllerHints.HideAllControllerHints()
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints()
  type: Method
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: HideAllControllerHints
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 17
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public void HideAllControllerHints()
    content.vb: Public Sub HideAllControllerHints()
  overload: OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints*
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(System.String,System.String)
  commentId: M:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(System.String,System.String)
  id: ShowControllerHint(System.String,System.String)
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: ShowControllerHint(string, string)
  nameWithType: ControllerHints.ShowControllerHint(string, string)
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(string, string)
  type: Method
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: ShowControllerHint
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 28
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public void ShowControllerHint(string actionName, string text)
    parameters:
    - id: actionName
      type: System.String
    - id: text
      type: System.String
    content.vb: Public Sub ShowControllerHint(actionName As String, text As String)
  overload: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint*
  nameWithType.vb: ControllerHints.ShowControllerHint(String, String)
  fullName.vb: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(String, String)
  name.vb: ShowControllerHint(String, String)
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(Valve.VR.SteamVR_Action_Boolean,System.String)
  commentId: M:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(Valve.VR.SteamVR_Action_Boolean,System.String)
  id: ShowControllerHint(Valve.VR.SteamVR_Action_Boolean,System.String)
  parent: OmiLAXR.Adapters.SteamVR.ControllerHints
  langs:
  - csharp
  - vb
  name: ShowControllerHint(SteamVR_Action_Boolean, string)
  nameWithType: ControllerHints.ShowControllerHint(SteamVR_Action_Boolean, string)
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(Valve.VR.SteamVR_Action_Boolean, string)
  type: Method
  source:
    remote:
      path: Runtime/ControllerHints.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/adapters/omilaxr.adapters.steamvr.git
    id: ShowControllerHint
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Adapters/SteamVR/Runtime/ControllerHints.cs
    startLine: 31
  assemblies:
  - OmiLAXR.Adapters.SteamVR
  namespace: OmiLAXR.Adapters.SteamVR
  syntax:
    content: public void ShowControllerHint(SteamVR_Action_Boolean action, string text)
    parameters:
    - id: action
      type: Valve.VR.SteamVR_Action_Boolean
    - id: text
      type: System.String
    content.vb: Public Sub ShowControllerHint(action As SteamVR_Action_Boolean, text As String)
  overload: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint*
  nameWithType.vb: ControllerHints.ShowControllerHint(SteamVR_Action_Boolean, String)
  fullName.vb: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(Valve.VR.SteamVR_Action_Boolean, String)
  name.vb: ShowControllerHint(SteamVR_Action_Boolean, String)
references:
- uid: OmiLAXR.Adapters.SteamVR
  commentId: N:OmiLAXR.Adapters.SteamVR
  href: OmiLAXR.html
  name: OmiLAXR.Adapters.SteamVR
  nameWithType: OmiLAXR.Adapters.SteamVR
  fullName: OmiLAXR.Adapters.SteamVR
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Adapters
    name: Adapters
    href: OmiLAXR.Adapters.html
  - name: .
  - uid: OmiLAXR.Adapters.SteamVR
    name: SteamVR
    href: OmiLAXR.Adapters.SteamVR.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Adapters
    name: Adapters
    href: OmiLAXR.Adapters.html
  - name: .
  - uid: OmiLAXR.Adapters.SteamVR
    name: SteamVR
    href: OmiLAXR.Adapters.SteamVR.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: UnityEngine.Object
  commentId: T:UnityEngine.Object
  parent: UnityEngine
  isExternal: true
  name: Object
  nameWithType: Object
  fullName: UnityEngine.Object
- uid: UnityEngine.Component
  commentId: T:UnityEngine.Component
  parent: UnityEngine
  isExternal: true
  name: Component
  nameWithType: Component
  fullName: UnityEngine.Component
- uid: UnityEngine.Behaviour
  commentId: T:UnityEngine.Behaviour
  parent: UnityEngine
  isExternal: true
  name: Behaviour
  nameWithType: Behaviour
  fullName: UnityEngine.Behaviour
- uid: UnityEngine.MonoBehaviour
  commentId: T:UnityEngine.MonoBehaviour
  parent: UnityEngine
  isExternal: true
  name: MonoBehaviour
  nameWithType: MonoBehaviour
  fullName: UnityEngine.MonoBehaviour
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(System.Collections.Generic.IEnumerable{UnityEngine.Object})
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  name: Destroy(MonoBehaviour, IEnumerable<Object>)
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable<Object>)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable<UnityEngine.Object>)
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable(Of Object))
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable(Of UnityEngine.Object))
  name.vb: Destroy(MonoBehaviour, IEnumerable(Of Object))
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.Object[])
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  name: Destroy(MonoBehaviour, Object[])
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object[])
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object[])
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object())
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object())
  name.vb: Destroy(MonoBehaviour, Object())
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '['
  - name: ']'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: (
  - name: )
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  name: DestroyChildren(MonoBehaviour)
  nameWithType: MonoBehaviour_Ext.DestroyChildren(MonoBehaviour)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Log(System.String,System.String)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  name: Log(MonoBehaviour, string, string)
  nameWithType: MonoBehaviour_Ext.Log(MonoBehaviour, string, string)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, string, string)
  nameWithType.vb: MonoBehaviour_Ext.Log(MonoBehaviour, String, String)
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, String, String)
  name.vb: Log(MonoBehaviour, String, String)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  parent: OmiLAXR.Extensions.Object_Ext
  definition: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  name: Destroy(MonoBehaviour, IEnumerable<Object>)
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable<Object>)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable<UnityEngine.Object>)
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable(Of Object))
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable(Of UnityEngine.Object))
  name.vb: Destroy(MonoBehaviour, IEnumerable(Of Object))
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext
  commentId: T:OmiLAXR.Extensions.MonoBehaviour_Ext
  parent: OmiLAXR.Extensions
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html
  name: MonoBehaviour_Ext
  nameWithType: MonoBehaviour_Ext
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  name: Destroy(MonoBehaviour, Object[])
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object[])
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object[])
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object())
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object())
  name.vb: Destroy(MonoBehaviour, Object())
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '['
  - name: ']'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: (
  - name: )
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  name: DestroyChildren(MonoBehaviour)
  nameWithType: MonoBehaviour_Ext.DestroyChildren(MonoBehaviour)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  name: Log(MonoBehaviour, string, string)
  nameWithType: MonoBehaviour_Ext.Log(MonoBehaviour, string, string)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, string, string)
  nameWithType.vb: MonoBehaviour_Ext.Log(MonoBehaviour, String, String)
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, String, String)
  name.vb: Log(MonoBehaviour, String, String)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  isExternal: true
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: OmiLAXR.Extensions.Object_Ext
  commentId: T:OmiLAXR.Extensions.Object_Ext
  parent: OmiLAXR.Extensions
  href: OmiLAXR.Extensions.Object_Ext.html
  name: Object_Ext
  nameWithType: Object_Ext
  fullName: OmiLAXR.Extensions.Object_Ext
- uid: OmiLAXR.Extensions
  commentId: N:OmiLAXR.Extensions
  href: OmiLAXR.html
  name: OmiLAXR.Extensions
  nameWithType: OmiLAXR.Extensions
  fullName: OmiLAXR.Extensions
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Valve.VR.SteamVR_Action_Boolean
  commentId: T:Valve.VR.SteamVR_Action_Boolean
  parent: Valve.VR
  name: SteamVR_Action_Boolean
  nameWithType: SteamVR_Action_Boolean
  fullName: Valve.VR.SteamVR_Action_Boolean
- uid: Valve.VR
  commentId: N:Valve.VR
  name: Valve.VR
  nameWithType: Valve.VR
  fullName: Valve.VR
  spec.csharp:
  - uid: Valve
    name: Valve
  - name: .
  - uid: Valve.VR
    name: VR
  spec.vb:
  - uid: Valve
    name: Valve
  - name: .
  - uid: Valve.VR
    name: VR
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint*
  commentId: Overload:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
  href: OmiLAXR.Adapters.SteamVR.ControllerHints.html#OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
  name: ShowControllerTriggerHint
  nameWithType: ControllerHints.ShowControllerTriggerHint
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTriggerHint
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint*
  commentId: Overload:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
  href: OmiLAXR.Adapters.SteamVR.ControllerHints.html#OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
  name: ShowControllerTeleportHint
  nameWithType: ControllerHints.ShowControllerTeleportHint
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerTeleportHint
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints*
  commentId: Overload:OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
  href: OmiLAXR.Adapters.SteamVR.ControllerHints.html#OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
  name: HideAllControllerHints
  nameWithType: ControllerHints.HideAllControllerHints
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.HideAllControllerHints
- uid: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint*
  commentId: Overload:OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint
  href: OmiLAXR.Adapters.SteamVR.ControllerHints.html#OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint(System.String,System.String)
  name: ShowControllerHint
  nameWithType: ControllerHints.ShowControllerHint
  fullName: OmiLAXR.Adapters.SteamVR.ControllerHints.ShowControllerHint
